Summary: Support for the https protocol under LWP
Name: perl-Crypt-SSLeay
Packager: Daouda Lo <daouda@mandrakesoft.com>
Version: 0.49
Release: 1mdk
License: GPL or Artistic
Group: Development/Perl
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.bz2
URL: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.readme
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-URI
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl
Provides: SSLeay.pm

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n Crypt-SSLeay-%{version}
perl -pi -e 's,(SSL_DIR.*)/lib\b,\1/%{_lib},g' Makefile.PL

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
make PREFIX=$RPM_BUILD_ROOT/usr install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/Crypt/*
%{perl_vendorarch}/Crypt/*
%{perl_vendorarch}/Net/*
%{_mandir}/*/*

%changelog
* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.49-1mdk
- 0.49.

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.45-2mdk
- Teach it lib64 life

* Sat Aug 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.45-1mdk
- release 0.45

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 0.41-3mdk
- BuildRequires

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.41-2mdk
- rebuild for perl thread-multi

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 0.41-1mdk
- 0.41.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.40-3mdk
- add 'make test'.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.40-2mdk
- rebuild for perl 5.8.0

* Sun Jul  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.40-1mdk
- 0.40 

* Sun Jun  2 2002 Stefan van der Eijk <stefan@eijk.nu> 0.37-2mdk
- BuildRequires

* Thu Mar  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.37-1mdk
- 0.37-1mdk

